Bug 528 - slow 386 reports excessive interrupt-level buffer overlows
Summary: slow 386 reports excessive interrupt-level buffer overlows
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bruce Evans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1995-06-17 19:30 UTC by Heikki Suonsivu
Modified: 1996-11-10 04:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heikki Suonsivu 1995-06-17 19:30:02 UTC
	Kernel spits out lot of these

Jun 18 05:14:47 pommi /kernel: sio1: 119 more interrupt-level buffer over
flows (total 3642)
Jun 18 05:14:47 pommi /kernel: sio1: 119 more interrupt-level buffer overflows (
total 3642)

	It also very easily reboots when lots of PPP load exits. 
	Low tcp performance hints that it is loosing lots of data.

Fix: 

I think this feature has already been discussed; grepping
	'interrupt-level' from FAQ's didn't help.  If this is a feature
	which can be worked around, this might be a doc-bug?  However, I
	find it curous how a 386-16 could be too slow to respond for a 38400
	bps link?
How-To-Repeat: 
	Use FreeBSD as a router for a PPP connection on a slow machine.
Comment 1 scrappy freebsd_committer 1996-04-10 05:19:42 UTC
State Changed
From-To: open->closed

fixed setting 'options RS_IBUFSIZE=1024', with appropriate  
modifications made to sio.c to allow for this 
Comment 2 scrappy freebsd_committer 1996-04-10 19:04:25 UTC
State Changed
From-To: closed->open

incomplete analysis of solution/workaround 



Comment 3 scrappy freebsd_committer 1996-04-10 19:04:25 UTC
Responsible Changed
From-To: freebsd-bugs->bde

sio.c is Bruce's responsibility 
Comment 4 scrappy freebsd_committer 1996-11-10 04:15:17 UTC
State Changed
From-To: open->closed


duplicated in PR#kern/579, and describes workaround